MINTPY-SAVE_KMZ(1)

NAME
mintpy-save_kmz - Generate Google Earth KMZ file (overlay / placemarks for files in geo / radar coordinates).

DESCRIPTION
usage: save_kmz.py [-h] [-m FILE] [--zero-mask] [-o OUTFILE] [--kk] [-g FILE]

    [--step STEP] [-v MIN MAX] [-u UNIT] [-c COLORMAP] [--wrap] [--wrap-range MIN MAX] [--dpi NUM] [--figsize WID LEN] [--cbar-loc {lower left,lower right,upper left,upper right}] [--cbar-label LABEL] [--cbar-bin-num NUM] [--noreference] [--ref-color COLOR] [--ref-size NUM] [--ref-marker SYMBOL] [--sub-x XMIN XMAX] [--sub-y YMIN YMAX] [--sub-lat LATMIN LATMAX] [--sub-lon LONMIN LONMAX] file [dset]

Generate Google Earth KMZ file (overlay / placemarks for files in geo / radar coordinates).

  positional arguments:

file
    file to be converted, in geo or radar coordinate. Note: for files in radar-coordinate, the corresponding lookup table in radar-coordinate (as provided by ISCE) is required.

dset
    date of timeseries, or date12 of interferograms to be converted

  options:

-h, --help
    show this help message and exit

-m FILE, --mask FILE
    mask file for display

--zero-mask
    Mask pixels with zero value.

-o OUTFILE, --output OUTFILE
    output file base name. Extension is fixed with .kmz

--kk, --keep-kml, --keep-kml-file
    Do not remove KML and data/resource files after compressing into KMZ file.

-g FILE, --geom FILE
    geometry file with lat/lon. [required for file in radar coordinates]

--step STEP
    output one point per {step} pixels, to reduce file size (default: 5). For file in radar-coordinate ONLY.

-v MIN MAX, --vlim MIN MAX
    Y/value limits for plotting.

-u UNIT
    unit for display.

-c COLORMAP, --cm COLORMAP, --colormap COLORMAP
    Colormap for plotting. Default: jet

--wrap
    re-wrap data to display data in fringes.

--wrap-range MIN MAX
    range of one cycle after wrapping, default: [-pi, pi]

  Figure:

--dpi NUM
    Figure DPI (dots per inch). Default: 600

--figsize WID LEN
    Figure size in inches - width and length

--cbar-loc {lower left,lower right,upper left,upper right}
    Location of colorbar in the screen. Default: lower left.

--cbar-label LABEL
    Colorbar label. Default: Mean LOS velocity

--cbar-bin-num NUM
    Colorbar bin number (default: None).

  Reference Pixel:

--noreference
    do not show reference point

--ref-color COLOR
    marker color of reference point

--ref-size NUM
    marker size of reference point (default: 5).

--ref-marker SYMBOL
    marker symbol of reference point

  Subset:

    Display dataset in subset range

--sub-x XMIN XMAX, --subx XMIN XMAX, --subset-x XMIN XMAX
    subset display in x/cross-track/range direction

--sub-y YMIN YMAX, --suby YMIN YMAX, --subset-y YMIN YMAX
    subset display in y/along-track/azimuth direction

--sub-lat LATMIN LATMAX, --sublat LATMIN LATMAX, --subset-lat LATMIN LATMAX
    subset display in latitude

--sub-lon LONMIN LONMAX, --sublon LONMIN LONMAX, --subset-lon LONMIN LONMAX
    subset display in longitude

  example:

    save_kmz.py geo/geo_velocity.h5 save_kmz.py geo/geo_velocity.h5 -u cm --wrap --wrap-range -3 7

    save_kmz.py geo/geo_timeseries_ERA5_ramp_demErr.h5 20101120 save_kmz.py geo/geo_timeseries_ERA5_demErr.h5 20200505_20200517

    save_kmz.py geo/geo_ifgramStack.h5 20101120_20110220 save_kmz.py geo/geo_geometryRadar.h5 height --cbar-label Elevation

    # to generate placemarks for the file in radar coordinates, the corresponding # geometry file with latitude & longitude in radar coordinates are required, # such as provided by ISCE + MintPy workflow save_kmz.py velocity.h5 --sub-x 300 800 --sub-y 1000 1500 --step 1